Skip to main content
GET
/
frontend
/
api
/
v1
/
statistics
/
usage
Usage statistics
curl --request GET \
  --url https://{host}/frontend/api/v1/statistics/usage \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{host}/frontend/api/v1/statistics/usage"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{host}/frontend/api/v1/statistics/usage', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "period": {
    "from": "2023-11-07T05:31:56Z",
    "to": "2023-11-07T05:31:56Z"
  },
  "users-usage": [
    {
      "aggregated-usage": [
        {
          "aggregation-time": "2023-11-07T05:31:56Z",
          "resources": {}
        }
      ],
      "user-id": 1
    }
  ]
}
{
  "code": 123,
  "context": {},
  "error": "<string>",
  "status": "<string>"
}

Authorizations

Authorization
string
header
required

API Key Security (Header).

Query Parameters

date
object
aggregation
enum<string>
default:daily
Available options:
no-aggregation,
yearly,
monthly,
weekly,
daily,
hourly,
minutely,
secondly
user-id
integer[]
Required range: x >= 0

Response

OK

aggregation
enum<string>
Available options:
no-aggregation,
yearly,
monthly,
weekly,
daily,
hourly,
minutely,
secondly
period
object
users-usage
object[] | null